Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network20.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
20.192.0.0
Broadcast address
20.255.255.255
First usable
20.192.0.1
Last usable
20.255.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 14C00000 · Integer 348127232 to 352321535
Reverse DNS zones
192.20.in-addr.arpa
193.20.in-addr.arpa
194.20.in-addr.arpa
195.20.in-addr.arpa
196.20.in-addr.arpa
197.20.in-addr.arpa
198.20.in-addr.arpa
199.20.in-addr.arpa
200.20.in-addr.arpa
201.20.in-addr.arpa
202.20.in-addr.arpa
203.20.in-addr.arpa
204.20.in-addr.arpa
205.20.in-addr.arpa
206.20.in-addr.arpa
207.20.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010100.11000000.00000000.0000000020.192.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00010100.11000000.00000000.0000000020.192.0.0
Broadcast00010100.11111111.11111111.1111111120.255.255.255
Split into smaller subnets/17

20.192.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
120.192.0.0/1720.192.0.1 to 20.192.127.25420.192.127.25532,766
220.192.128.0/1720.192.128.1 to 20.192.255.25420.192.255.25532,766
320.193.0.0/1720.193.0.1 to 20.193.127.25420.193.127.25532,766
420.193.128.0/1720.193.128.1 to 20.193.255.25420.193.255.25532,766
520.194.0.0/1720.194.0.1 to 20.194.127.25420.194.127.25532,766
620.194.128.0/1720.194.128.1 to 20.194.255.25420.194.255.25532,766
720.195.0.0/1720.195.0.1 to 20.195.127.25420.195.127.25532,766
820.195.128.0/1720.195.128.1 to 20.195.255.25420.195.255.25532,766
920.196.0.0/1720.196.0.1 to 20.196.127.25420.196.127.25532,766
1020.196.128.0/1720.196.128.1 to 20.196.255.25420.196.255.25532,766
1120.197.0.0/1720.197.0.1 to 20.197.127.25420.197.127.25532,766
1220.197.128.0/1720.197.128.1 to 20.197.255.25420.197.255.25532,766
1320.198.0.0/1720.198.0.1 to 20.198.127.25420.198.127.25532,766
1420.198.128.0/1720.198.128.1 to 20.198.255.25420.198.255.25532,766
1520.199.0.0/1720.199.0.1 to 20.199.127.25420.199.127.25532,766
1620.199.128.0/1720.199.128.1 to 20.199.255.25420.199.255.25532,766
1720.200.0.0/1720.200.0.1 to 20.200.127.25420.200.127.25532,766
1820.200.128.0/1720.200.128.1 to 20.200.255.25420.200.255.25532,766
1920.201.0.0/1720.201.0.1 to 20.201.127.25420.201.127.25532,766
2020.201.128.0/1720.201.128.1 to 20.201.255.25420.201.255.25532,766
2120.202.0.0/1720.202.0.1 to 20.202.127.25420.202.127.25532,766
2220.202.128.0/1720.202.128.1 to 20.202.255.25420.202.255.25532,766
2320.203.0.0/1720.203.0.1 to 20.203.127.25420.203.127.25532,766
2420.203.128.0/1720.203.128.1 to 20.203.255.25420.203.255.25532,766
2520.204.0.0/1720.204.0.1 to 20.204.127.25420.204.127.25532,766
2620.204.128.0/1720.204.128.1 to 20.204.255.25420.204.255.25532,766
2720.205.0.0/1720.205.0.1 to 20.205.127.25420.205.127.25532,766
2820.205.128.0/1720.205.128.1 to 20.205.255.25420.205.255.25532,766
2920.206.0.0/1720.206.0.1 to 20.206.127.25420.206.127.25532,766
3020.206.128.0/1720.206.128.1 to 20.206.255.25420.206.255.25532,766
3120.207.0.0/1720.207.0.1 to 20.207.127.25420.207.127.25532,766
3220.207.128.0/1720.207.128.1 to 20.207.255.25420.207.255.25532,766
3320.208.0.0/1720.208.0.1 to 20.208.127.25420.208.127.25532,766
3420.208.128.0/1720.208.128.1 to 20.208.255.25420.208.255.25532,766
3520.209.0.0/1720.209.0.1 to 20.209.127.25420.209.127.25532,766
3620.209.128.0/1720.209.128.1 to 20.209.255.25420.209.255.25532,766
3720.210.0.0/1720.210.0.1 to 20.210.127.25420.210.127.25532,766
3820.210.128.0/1720.210.128.1 to 20.210.255.25420.210.255.25532,766
3920.211.0.0/1720.211.0.1 to 20.211.127.25420.211.127.25532,766
4020.211.128.0/1720.211.128.1 to 20.211.255.25420.211.255.25532,766
4120.212.0.0/1720.212.0.1 to 20.212.127.25420.212.127.25532,766
4220.212.128.0/1720.212.128.1 to 20.212.255.25420.212.255.25532,766
4320.213.0.0/1720.213.0.1 to 20.213.127.25420.213.127.25532,766
4420.213.128.0/1720.213.128.1 to 20.213.255.25420.213.255.25532,766
4520.214.0.0/1720.214.0.1 to 20.214.127.25420.214.127.25532,766
4620.214.128.0/1720.214.128.1 to 20.214.255.25420.214.255.25532,766
4720.215.0.0/1720.215.0.1 to 20.215.127.25420.215.127.25532,766
4820.215.128.0/1720.215.128.1 to 20.215.255.25420.215.255.25532,766
4920.216.0.0/1720.216.0.1 to 20.216.127.25420.216.127.25532,766
5020.216.128.0/1720.216.128.1 to 20.216.255.25420.216.255.25532,766
5120.217.0.0/1720.217.0.1 to 20.217.127.25420.217.127.25532,766
5220.217.128.0/1720.217.128.1 to 20.217.255.25420.217.255.25532,766
5320.218.0.0/1720.218.0.1 to 20.218.127.25420.218.127.25532,766
5420.218.128.0/1720.218.128.1 to 20.218.255.25420.218.255.25532,766
5520.219.0.0/1720.219.0.1 to 20.219.127.25420.219.127.25532,766
5620.219.128.0/1720.219.128.1 to 20.219.255.25420.219.255.25532,766
5720.220.0.0/1720.220.0.1 to 20.220.127.25420.220.127.25532,766
5820.220.128.0/1720.220.128.1 to 20.220.255.25420.220.255.25532,766
5920.221.0.0/1720.221.0.1 to 20.221.127.25420.221.127.25532,766
6020.221.128.0/1720.221.128.1 to 20.221.255.25420.221.255.25532,766
6120.222.0.0/1720.222.0.1 to 20.222.127.25420.222.127.25532,766
6220.222.128.0/1720.222.128.1 to 20.222.255.25420.222.255.25532,766
6320.223.0.0/1720.223.0.1 to 20.223.127.25420.223.127.25532,766
6420.223.128.0/1720.223.128.1 to 20.223.255.25420.223.255.25532,766
6520.224.0.0/1720.224.0.1 to 20.224.127.25420.224.127.25532,766
6620.224.128.0/1720.224.128.1 to 20.224.255.25420.224.255.25532,766
6720.225.0.0/1720.225.0.1 to 20.225.127.25420.225.127.25532,766
6820.225.128.0/1720.225.128.1 to 20.225.255.25420.225.255.25532,766
6920.226.0.0/1720.226.0.1 to 20.226.127.25420.226.127.25532,766
7020.226.128.0/1720.226.128.1 to 20.226.255.25420.226.255.25532,766
7120.227.0.0/1720.227.0.1 to 20.227.127.25420.227.127.25532,766
7220.227.128.0/1720.227.128.1 to 20.227.255.25420.227.255.25532,766
7320.228.0.0/1720.228.0.1 to 20.228.127.25420.228.127.25532,766
7420.228.128.0/1720.228.128.1 to 20.228.255.25420.228.255.25532,766
7520.229.0.0/1720.229.0.1 to 20.229.127.25420.229.127.25532,766
7620.229.128.0/1720.229.128.1 to 20.229.255.25420.229.255.25532,766
7720.230.0.0/1720.230.0.1 to 20.230.127.25420.230.127.25532,766
7820.230.128.0/1720.230.128.1 to 20.230.255.25420.230.255.25532,766
7920.231.0.0/1720.231.0.1 to 20.231.127.25420.231.127.25532,766
8020.231.128.0/1720.231.128.1 to 20.231.255.25420.231.255.25532,766
8120.232.0.0/1720.232.0.1 to 20.232.127.25420.232.127.25532,766
8220.232.128.0/1720.232.128.1 to 20.232.255.25420.232.255.25532,766
8320.233.0.0/1720.233.0.1 to 20.233.127.25420.233.127.25532,766
8420.233.128.0/1720.233.128.1 to 20.233.255.25420.233.255.25532,766
8520.234.0.0/1720.234.0.1 to 20.234.127.25420.234.127.25532,766
8620.234.128.0/1720.234.128.1 to 20.234.255.25420.234.255.25532,766
8720.235.0.0/1720.235.0.1 to 20.235.127.25420.235.127.25532,766
8820.235.128.0/1720.235.128.1 to 20.235.255.25420.235.255.25532,766
8920.236.0.0/1720.236.0.1 to 20.236.127.25420.236.127.25532,766
9020.236.128.0/1720.236.128.1 to 20.236.255.25420.236.255.25532,766
9120.237.0.0/1720.237.0.1 to 20.237.127.25420.237.127.25532,766
9220.237.128.0/1720.237.128.1 to 20.237.255.25420.237.255.25532,766
9320.238.0.0/1720.238.0.1 to 20.238.127.25420.238.127.25532,766
9420.238.128.0/1720.238.128.1 to 20.238.255.25420.238.255.25532,766
9520.239.0.0/1720.239.0.1 to 20.239.127.25420.239.127.25532,766
9620.239.128.0/1720.239.128.1 to 20.239.255.25420.239.255.25532,766
9720.240.0.0/1720.240.0.1 to 20.240.127.25420.240.127.25532,766
9820.240.128.0/1720.240.128.1 to 20.240.255.25420.240.255.25532,766
9920.241.0.0/1720.241.0.1 to 20.241.127.25420.241.127.25532,766
10020.241.128.0/1720.241.128.1 to 20.241.255.25420.241.255.25532,766
10120.242.0.0/1720.242.0.1 to 20.242.127.25420.242.127.25532,766
10220.242.128.0/1720.242.128.1 to 20.242.255.25420.242.255.25532,766
10320.243.0.0/1720.243.0.1 to 20.243.127.25420.243.127.25532,766
10420.243.128.0/1720.243.128.1 to 20.243.255.25420.243.255.25532,766
10520.244.0.0/1720.244.0.1 to 20.244.127.25420.244.127.25532,766
10620.244.128.0/1720.244.128.1 to 20.244.255.25420.244.255.25532,766
10720.245.0.0/1720.245.0.1 to 20.245.127.25420.245.127.25532,766
10820.245.128.0/1720.245.128.1 to 20.245.255.25420.245.255.25532,766
10920.246.0.0/1720.246.0.1 to 20.246.127.25420.246.127.25532,766
11020.246.128.0/1720.246.128.1 to 20.246.255.25420.246.255.25532,766
11120.247.0.0/1720.247.0.1 to 20.247.127.25420.247.127.25532,766
11220.247.128.0/1720.247.128.1 to 20.247.255.25420.247.255.25532,766
11320.248.0.0/1720.248.0.1 to 20.248.127.25420.248.127.25532,766
11420.248.128.0/1720.248.128.1 to 20.248.255.25420.248.255.25532,766
11520.249.0.0/1720.249.0.1 to 20.249.127.25420.249.127.25532,766
11620.249.128.0/1720.249.128.1 to 20.249.255.25420.249.255.25532,766
11720.250.0.0/1720.250.0.1 to 20.250.127.25420.250.127.25532,766
11820.250.128.0/1720.250.128.1 to 20.250.255.25420.250.255.25532,766
11920.251.0.0/1720.251.0.1 to 20.251.127.25420.251.127.25532,766
12020.251.128.0/1720.251.128.1 to 20.251.255.25420.251.255.25532,766
12120.252.0.0/1720.252.0.1 to 20.252.127.25420.252.127.25532,766
12220.252.128.0/1720.252.128.1 to 20.252.255.25420.252.255.25532,766
12320.253.0.0/1720.253.0.1 to 20.253.127.25420.253.127.25532,766
12420.253.128.0/1720.253.128.1 to 20.253.255.25420.253.255.25532,766
12520.254.0.0/1720.254.0.1 to 20.254.127.25420.254.127.25532,766
12620.254.128.0/1720.254.128.1 to 20.254.255.25420.254.255.25532,766
12720.255.0.0/1720.255.0.1 to 20.255.127.25420.255.127.25532,766
12820.255.128.0/1720.255.128.1 to 20.255.255.25420.255.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses